<?php
// Conexión a la base de datos
$servername = "localhost";
$username = "elindelc_mozo0";
$password = "Mozo-001";
$database = "elindelc_mozo";

$conn = mysqli_connect($servername, $username, $password, $database);

$count = 0;
// Verificar la conexión
if (!$conn) {
    die("Error de conexión: " . mysqli_connect_error());
}
// Consulta para seleccionar los datos de la tabla
$sql = "SELECT menu,observa,precio FROM precios WHERE negocio = 'negocio_04' AND publicar = 'si'";
$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
    
	// Nombre del archivo CSV y apertura en modo escritura
    $filename = "exported_data.csv";
    $file = fopen($filename, "w");

    // Encabezados del CSV
    $row = mysqli_fetch_assoc($result);
    fputcsv($file, array_keys($row));

    // Escribir los datos en el archivo CSV
    while ($row = mysqli_fetch_assoc($result)) {
        fputcsv($file, $row);
        $count++;
    }

    fclose($file);

    echo "Datos exportados a $filename.";
	echo "<br>Total: ".$count;

} else {
    echo "No se encontraron datos para exportar.";
}

// Cerrar la conexión a la base de datos
mysqli_close($conn);
?>
